%define name fdutils
%define version 5.3
%define release 9mdk

Summary: Programs for dealing with floppy disks
Name: %{name}
Version: %{version}
Release: %{release}
Source:	ftp://linux.wauug.org/pub/knaff/fdutils/%{name}-%{version}.tar.bz2
Patch0: fdutils-manpages.patch.bz2
Patch1: fdutils-nonroot-fix.patch.bz2
Copyright: GPL
Group: System/Kernel and hardware
ExclusiveOS: Linux
Prefix: %{_prefix}
BuildRoot: /var/tmp/%{name}-root

%description
This package contains utilities for configuring and debugging the
Linux floppy driver, for formatting extra capacity disks (up to 1992K
on a high density disk), for sending raw commands to the floppy
controller, etc.

NOTE:
This package contains files which supercede corresponding versions
in the man-pages and util-linux packages.  Therefore, the --replacefiles
(or --force) option to rpm may be needed to install this package.


%changelog
* Sun Apr 02 2000 Jerome Martin <jerome@mandrakesoft.com> 5.3-9mdk
- Fix rpm group and spec-helper issues

* Mon Jan 17 2000 Francis Galiegue <francis@mandrakesoft.com>
- Fixed build as non-root

* Thu Nov 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- build release

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- Fix up release number

* Wed Jul  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 5.3 version.
- Rewriting the .spec to be more Mandrake ;-)

* Sun Nov 29 1998 Paul H. Hargrove <hargrove@sccm.Stanford.EDU>
[5.2-4]
- Fix to be built by non-root
- Add conflict note in %desrciption

* Wed Apr 15 1998 Paul H. Hargrove <hargrove@sccm.Stanford.EDU>
[5.2-3]
- Use buildroot

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --sysconfdir=/etc
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/{bin,info,man/man1,man/man4}/

make install prefix=$RPM_BUILD_ROOT/usr

find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]'|xargs file|grep troff\
|cut -d: -f1|xargs bzip2 -9
for aa in man X11R6/man local/man;do
[ -d $RPM_BUILD_ROOT/usr/$aa ] || continue
for i in $(find $RPM_BUILD_ROOT/usr/$aa -type 'l');do
 	TO=$(/bin/ls -l $i|awk '{print $NF}')
	ln -sf $TO.bz2 $i.bz2
done
done
for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`;do
    file $i|grep -q "not stripped" && strip $i
done

bzip2 $RPM_BUILD_ROOT/usr/info/*
cp src/mediaprm $RPM_BUILD_ROOT/etc/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,-)
%config /etc/mediaprm
%attr(755,root,floppy) /usr/bin/xdfcopy
%attr(755,root,floppy) /usr/bin/floppycontrol
%attr(755,root,floppy) /usr/bin/floppymeter
%attr(755,root,floppy) /usr/bin/superformat
%attr(755,root,floppy) /usr/bin/getfdprm
%attr(755,root,floppy) /usr/bin/MAKEFLOPPIES
%attr(755,root,floppy) /usr/bin/fdrawcmd
%attr(4750,root,floppy) /usr/bin/fdmount
%attr(-,root,floppy) /usr/bin/fdumount
%attr(-,root,floppy) /usr/bin/xdfformat
%attr(-,root,floppy) /usr/bin/fdlist
%attr(-,root,floppy) /usr/bin/fdmountd
%attr(-,root,root) /usr/man/man1/*.1.*
/usr/man/man4/fd.4.*
/usr/info/fdutils.info.*
/usr/info/fdutils.info-1.*
/usr/info/fdutils.info-2.*
/usr/info/fdutils.info-3.*
/usr/info/fdutils.info-4.*
